Bug 378021 - vpnc 0.5.1 connects but doesn't pass traffic
vpnc 0.5.1 connects but doesn't pass traffic
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: vpnc (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 10:49 EST by Russell Harrison
Modified: 2008-11-26 03:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 03:36:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2007-11-12 10:49:19 EST
+++ This bug was initially created as a clone of Bug #376701 +++

Description of problem:
When I connect using vpnc 0.5 in F8 it seems to connect fine but I can only send
any sort of network traffic to routes that don't pass through the tunnel. 
Anything I attempt to send across the tunnel just times out.

Version-Release number of selected component (if applicable):
vpnc-0:0.5.1-1.fc8.i386

How reproducible:
Every time

Actual results:
Successful connection, and unable to send traffic across tun0

Expected results:
functional vpn tunnel

Additional info:

Since I noticed that NetworkManager-vpnc depended on vpnc > 0.3 I grabbed the
srpm from FC6 and recompiled it for F8.  It works like a champ.

-- Additional comment from tmraz@redhat.com on 2007-11-12 03:42 EST --
Can you try recompiling 0.5.1 from F8?


-- Additional comment from rtlm10@gmail.com on 2007-11-12 10:44 EST --
It also has the same problem.  I haven't gotten around to cloning this bug for
F8 but I've already confirmed it as not working there either.
Comment 1 Tomas Mraz 2008-04-03 04:46:42 EDT
Can you please try to work this out with upstream?

Basically report the issue on the vpnc-devel@unix-ag.uni-kl.de mailing list
along with anything from vpnc which you see in /var/log/messages.
Comment 2 Rogers W. Claggett 2008-07-18 10:18:36 EDT
Same problem for me.  It broke about a week ago after a download.  And I was
using it for work.  Now I have to use putty in windows. :(
Comment 3 Tomas Mraz 2008-07-21 05:00:50 EDT
(In reply to comment #2)
> Same problem for me.  It broke about a week ago after a download.  And I was
> using it for work.  Now I have to use putty in windows. :(
There was no update of vpnc recently. If it broke recently for you it must be
either some breakage in your local configuration on the client machine or change
on the cisco vpnc gateway configuration.
Comment 4 Rogers W. Claggett 2008-07-26 07:43:39 EDT
This turned out to be a routing problem (I think).  Vpnc set up the connection
but the tun0 and default had to be fiddled.  At this point I'm using a script
and a personal /etc/vpnc config file it invoke vpnc and fiddles the routes.  Is
the NetworkManager at fault?  It still sets up the vpn connection (I get the vpn
welcome message) but won't pass traffic since the routes aren't right.  Thanks
for your help.
Comment 5 Bug Zapper 2008-11-26 03:21:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.